<div class='content__item content__item--border bg__content--default'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <form nz-form [formGroup]='form' style='margin-bottom: 8px'>
    <div nz-row [nzGutter]='[30,30]'>
      <!--    Form tìm kiếm -->
      <div nz-col [nzXs]='24' [nzLg]='6'>
        <mb-select [mbDataSelects]='empTypeList' formControlName='employeeType'
                   [mbKeyValueStringType]="true"
                   mbPlaceholder="--{{'staffAbs.label.employeeType' | translate }}--"
                   mbLabelText="{{'staffAbs.label.employeeType' | translate}}"></mb-select>
      </div>
      <div nz-col [nzXs]='24' [nzLg]='6'>
        <mb-input-text formControlName='employeeCode' [mbMaxLength]='200'
                       mbPlaceholderText="--{{'staffAbs.label.staffCode' | translate}}--"
                       mbLabelText="{{'staffAbs.label.staffCode' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]='24' [nzLg]='6'>
        <mb-input-text formControlName='fullName' [mbMaxLength]='200'
                       mbPlaceholderText="--{{'staffAbs.label.employeeName' | translate}}--"
                       mbLabelText="{{'staffAbs.label.employeeName' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]="24" [nzLg]="6">
        <mb-select-check-able
                    [mbShowAction]="false"
                    [mbDataSelects]="EMP_STATUS_DATASOURCE"
                    formControlName="empStatus"
                    mbPlaceholder="{{'staffAbs.label.empStatus' | translate }}"
                    mbLabelText="{{'staffAbs.label.empStatus' | translate}}"
                ></mb-select-check-able>
      </div>
      
      <div nz-col [nzXs]='24' [nzLg]='6'>
        <org-data-picker
          mbLabelText="{{'staffAbs.label.organization' | translate}}"
          formControlName='organizationId'
          [scope] = "scope"
          [functionCode] = "functionCode"
        >
        </org-data-picker>
      </div>
      <div nz-col [nzXs]='24' [nzLg]='6'>
        <div class='input__group input__group--no-icon'>
          <label class='input__label'>{{'staffAbs.label.yearAnnualLeave' | translate}}<span
            class='label__required'> *</span></label>
          <nz-date-picker
            class='ant-input input__text input__text--default'
            formControlName='year'
            nzMode='year'
          ></nz-date-picker>
        </div>
      </div>
      <!--    End Form tìm kiếm-->
    </div>
  </form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffAbs.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="PRIMARY"
          *ngIf="objFunction.create"
          mbButtonText="{{'staffAbs.label.calculateAnnualLeave' | translate}}"
          nz-popconfirm
          nzCancelText="{{'staffAbs.table.action.cancel' | translate}}" nzOkType="primary"
          nzPopconfirmTitle="{{'staffAbs.label.calculateAnnualLeaveConfirm' | translate }}"
          nzPopconfirmPlacement="left"
          nzOkText="{{'staffAbs.table.action.yes' | translate}}"
          (nzOnConfirm)="calculateAnnualLeave()"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class='search__result'>
  <mb-table-wrap>
    <mb-table (changePageNum)='doSearch($event)' [tableConfig]='tableConfig' [tableData]='searchResult'></mb-table>
  </mb-table-wrap>
</div>

<ng-template #rangeTemplate let-range='range' let-totalRecord>
  <div>
    <img style='margin-right: 5px' src='assets/icon/common/light.svg'
         alt=''> {{'common.paging.rangePage' | translate: { 'result': totalRecord } }} {{ range[0] }} - {{ range[1] }}
  </div>
</ng-template>
